﻿(function () {
    var injectParams = ['$http'];
    var dataFactory = function ($http) {

        var urlBase = '/api/customers';
        var factory = {};

        factory.getCustomers = function () {
            return $http.get(urlBase);
        };

        factory.getCustomer = function (id) {
            return $http.get(urlBase + '/' + id);
        };

        factory.insertCustomer = function (cust) {
            return $http.post(urlBase, cust);
        };

        factory.updateCustomer = function (cust) {
            return $http.put(urlBase + '/' + cust.ID, cust)
        };

        factory.deleteCustomer = function (id) {
            return $http.delete(urlBase + '/' + id);
        };

        factory.getOrders = function (id) {
            return $http.get(urlBase + '/' + id + '/orders');
        };

        return factory;
    };

    dataFactory.$inject = injectParams;

    angular.module('customersApp').factory('dataFactory', dataFactory);


}());
